<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>cern.dip (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="cern.dip (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;cern.dip</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DipBrowser.html" title="interface in cern.dip">DipBrowser</a></th>
<td class="colLast">
<div class="block">Interface allowing a user to browse the DIP namespace.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="DipData.html" title="interface in cern.dip">DipData</a></th>
<td class="colLast">
<div class="block">Interface for DIP data.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DipFactory.html" title="interface in cern.dip">DipFactory</a></th>
<td class="colLast">
<div class="block">Dip (Data Interchange Protocol) is the publish/subscribe interface for the
 CERN inter-domain communication designed according to the requirements
 established by the LDIWG (LHC Data Interchange Working Group).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="DipPublication.html" title="interface in cern.dip">DipPublication</a></th>
<td class="colLast">
<div class="block">Interface for DIP publications.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DipPublicationErrorHandler.html" title="interface in cern.dip">DipPublicationErrorHandler</a></th>
<td class="colLast">
<div class="block">This interface enables asynchronous DIP errors to be reported.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="DipQuality.html" title="interface in cern.dip">DipQuality</a></th>
<td class="colLast">
<div class="block">interface to encapsulate data quality flags</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a></th>
<td class="colLast">
<div class="block">Interface for DIP subscriptions.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a></th>
<td class="colLast">
<div class="block">Interface for DIP subscription Listeners.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DipUpdateRequestListener.html" title="interface in cern.dip">DipUpdateRequestListener</a></th>
<td class="colLast">
<div class="block">An optional interface for <a href="DipPublication.html" title="interface in cern.dip"><code>publishers</code></a> who are to re-read
 the data source when a subscriber invokes their <a href="DipSubscription.html#requestUpdate()"><code>requestUpdate</code></a>
 method.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Dip.html" title="class in cern.dip">Dip</a></th>
<td class="colLast">
<div class="block">Bootstrapping object to start the DIPimplementation.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="DipDataUtil.html" title="class in cern.dip">DipDataUtil</a></th>
<td class="colLast">
<div class="block">Utility class to extract any DIP value as an Object, by tag name and value type.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DipSubscriptionListenerAdapter.html" title="class in cern.dip">DipSubscriptionListenerAdapter</a></th>
<td class="colLast">
<div class="block">Default adapter for the DipSubscriptionListener.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a></th>
<td class="colLast">
<div class="block">Should be used to indicate the time at which the value of a DipData Item was
 obtained.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DipQualityEnum.html" title="enum in cern.dip">DipQualityEnum</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="BadParameter.html" title="class in cern.dip">BadParameter</a></th>
<td class="colLast">
<div class="block">Indicates that an illegal or inappropriate argument has been passed to a
 method.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="DipException.html" title="class in cern.dip">DipException</a></th>
<td class="colLast">
<div class="block">The common superclass for a number of exceptions that can be thrown by Dip.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="TypeMismatch.html" title="class in cern.dip">TypeMismatch</a></th>
<td class="colLast">
<div class="block">Thrown by "extract" methods of the Data and DataEntry class to indicate
 that the actual type of the contained data does not correspond to the
 expected type.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Error Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Error</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DipInternalError.html" title="class in cern.dip">DipInternalError</a></th>
<td class="colLast">
<div class="block">Signals malfunctioning of the Dip middleware.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
